cURL
curl --request POST \
--url https://{tenant}.stamp.eu/rest/roster_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"cycle_length_weeks": 26,
"pattern": {
"groups": [
{
"name": "<string>",
"pattern": [
{
"week": 1,
"entries": [
{
"weekday": 4,
"shift_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": "<string>",
"end_time": "<string>"
}
]
}
],
"employee_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]
},
"unit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://{tenant}.stamp.eu/rest/roster_templates"
payload = {
"name": "<string>",
"cycle_length_weeks": 26,
"pattern": { "groups": [
{
"name": "<string>",
"pattern": [
{
"week": 1,
"entries": [
{
"weekday": 4,
"shift_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": "<string>",
"end_time": "<string>"
}
]
}
],
"employee_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
] },
"unit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
cycle_length_weeks: 26,
pattern: {
groups: [
{
name: '<string>',
pattern: [
{
week: 1,
entries: [
{
weekday: 4,
shift_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
start_time: '<string>',
end_time: '<string>'
}
]
}
],
employee_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
]
},
unit_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://{tenant}.stamp.eu/rest/roster_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"kind": "<string>",
"cycle_length_weeks": "<string>",
"pattern": "<string>",
"unit_id": "<string>",
"group_count": 123,
"entries_count": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Dienstplan-Vorlagen
Vorlage erstellen
POST
/
roster_templates
cURL
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Body
application/json
Response
RosterTemplateResource
Show child attributes
Show child attributes
⌘I